Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Handler Class Reference

Assembly_Handler parse the root componentassembly descriptors. More...

`#include <RTConfig_Handlers.h>`

Inheritance diagram for CIAO::Assembly_Handler:

[legend]
Collaboration diagram for CIAO::Assembly_Handler:

[legend]
List of all members.

## Public Types
enum | CS_States { START, COMPONENTFILES_DONE, PLACEMENT_DONE, CONNECTION_DONE, DONE }
## Public Member Functions
| Assembly_Handler (ACEXML_XMLReader *parser, Assembly_Spec *spec ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual | ~Assembly_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Attributes
Assembly_Spec * | context_
CS_States | state_

## Detailed Description

Assembly_Handler parse the root componentassembly descriptors.

## Member Enumeration Documentation

enum CIAO::Assembly_Handler::CS_States

  | Enumeration values:
  START |
  COMPONENTFILES_DONE |
  PLACEMENT_DONE |
  CONNECTION_DONE |
  DONE |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Handler::Assembly_Handler | ( | ACEXML_XMLReader * | parser,
|  | Assembly_Spec *spec | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Default constructor.

ACE_INLINE CIAO::Assembly_Handler::~Assembly_Handler | ( | void |  | ) | `[virtual]`

| Default destructor.

## Member Function Documentation

virtual void CIAO::Assembly_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_DefaultHandler.

void CIAO::Assembly_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

virtual void CIAO::Assembly_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

Assembly_Spec* CIAO::Assembly_Handler::context_`[protected]`

CS_States CIAO::Assembly_Handler::state_`[protected]`

The documentation for this class was generated from the following files:

- Assembly_Handlers.h
- Assembly_Handlers.cpp
- Assembly_Handlers.inl